> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List hostnames attached to a brokerage firm

> Returns all hostnames currently attached to the brokerage firm.



## OpenAPI

````yaml /openapi.json get /brokerage-firms/{brokerageFirmId}/hostnames
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /brokerage-firms/{brokerageFirmId}/hostnames:
    get:
      tags:
        - brokerage-firms
      summary: List hostnames attached to a brokerage firm
      description: Returns all hostnames currently attached to the brokerage firm.
      operationId: BrokerageFirmController_listHostnameFromBrokerageFirm
      parameters:
        - name: brokerageFirmId
          required: true
          in: path
          description: Brokerage firm id
          schema:
            type: string
      responses:
        '200':
          description: List of hostnames retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListHostnamesFromBrokerageFirmsOutput'
components:
  schemas:
    ListHostnamesFromBrokerageFirmsOutput:
      type: object
      properties:
        hostnames:
          description: List of hostnames
          type: array
          items:
            type: string
      required:
        - hostnames

````